;------------------------------------
;Prevent telehop at first big AFK tp
;------------------------------------

modify:
{
	match:
	{
		"targetname" "afk1"
		"classname" "trigger_teleport"
	}
	insert:
	{
		"OnStartTouch" "!activator,AddOutput,absvelocity 0 0 0,0,-1"
	}
}



;; _

;; gate volume

modify:
{
	match:
	{
		"classname" "func_door"
	}
	replace:
	{
		"loopmovesound" "0"
	}
}

;; fix surf skip

modify:
{
	match:
	{
		"targetname" "surf2fail"
		"classname" "trigger_teleport"
	}
	insert:
	{
		"OnStartTouch" "!activator,AddOutput,absvelocity 0 0 0,0,-1"
	}
}

;; fix func_rotating angles

modify:
{
	match:
	{
		"targetname" "tower9"
		"classname" "func_rotating"
	}
	replace:
	{
		"angles" "0 -20 0"
	}
}
